package com.example.ellegadodepintia

import android.os.Bundle
import android.widget.ImageView
import androidx.appcompat.app.AppCompatActivity
import com.example.ellegadodepintia.repositorios.RepositorioObjetos

class TiendaActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_tienda)

        val objetos = RepositorioObjetos.obtenerObjetosAleatoriosTienda(6)

        //TODO hay que hacer que dependiendo del nivel de la ciudad haga más cosas
        val slots = listOf(
            findViewById<ImageView>(R.id.slot01),
            findViewById(R.id.slot02),
            findViewById(R.id.slot03),
            findViewById(R.id.slot04),
            findViewById(R.id.slot05),
            findViewById(R.id.slot06)
        )

        slots.forEachIndexed { index, slot ->
            slot.setImageResource(objetos[index].imagen)
        }
    }
}